Gda.SetSource – Gda-6.0 Reference Manual

# SetSource

## Object Hierarchy:

## Description:

[ CCode ( copy_function = "g_boxed_copy" , free_function = "g_boxed_free" , type_id = "gda_set_source_get_type ()" ) ]
[ Compact ]
public class SetSource
Namespace: Gda
Package: Gda-6.0

## Content:

### Creation methods:

- public SetSource (DataModel model)

### Methods:

- public void add_node (SetNode node)
- public SetSource copy ()
- public void free ()
- public unowned DataModel get_data_model ()
- public int get_n_nodes ()
- public unowned SList<SetNode> get_nodes ()
- public void set_data_model (DataModel model)